import { create } from '@storybook/theming';

export default create({
  base: 'darker',

  colorPrimary: '#F3A309',
  colorSecondary: '#438BD7',

  // UI
  appBg: '#f7fafc',
  appContentBg: '#f7fafc',
  appBorderColor: '#45485502',

  // Typography
  fontBase: '"Open Sans", sans-serif',
  fontCode: 'monospace',

  // Text colors
  textInverseColor: 'red',

  // Toolbar default and active colors
  barSelectedColor: '#F3A309',
  barBg: '#f7fafc',

  // Form colors
  inputBorder: '#F3A309',

  brandTitle: 'Coverwallet',
  brandUrl: 'https://www.coverwallet.com',
  brandImage: 'https://quotes.coverwallet.biz/images/coverwallet.svg',
});
