import { createGlobalStyle } from 'styled-components';
import OpenSansLight from 'Fonts/OpenSans-Light.ttf';
import OpenSans from 'Fonts/OpenSans-Regular.ttf';
import OpenSansItalic from 'Fonts/OpenSans-Italic.ttf';

import OpenSansBold from 'Fonts/OpenSans-SemiBold.ttf';
import OpenSansBoldItalic from 'Fonts/OpenSans-SemiBoldItalic.ttf';

const GlobalStyle = createGlobalStyle`

@font-face {
  font-family: "Open Sans";
  src: url(${OpenSansLight});
  font-weight: 300;
}
@font-face {
  font-family: "Open Sans";
  src: url(${OpenSans});
  font-weight: normal;
}
@font-face {
  font-family: "Open Sans";
  src: url(${OpenSansBold});
  font-weight: bold;
}
@font-face {
  font-family: "Open Sans";
  src: url(${OpenSansBoldItalic}); 
  font-weight: bold;
  font-style: italic;
}
@font-face {
  font-family: "Open Sans";
  src: url(${OpenSansItalic});
  font-style: italic;
}

html {
  font-family: 'Open Sans', 'Helvetica Neue', Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
`;

export default GlobalStyle;
