import { ThemeProvider } from 'styled-components';

import Button from 'Components/buttons/button';
import MicroButton from 'Components/buttons/microButton';
import CardTable from 'Components/cardTable/cardTable';
import Input from 'Components/input/input';
import Link from 'Components/link/link';
import Notification from 'Components/notifications/notification';
import Selector from 'Components/selector/selector';
import Sidebar from 'Components/sidebar/sidebar';
import Status from 'Components/status/status';
import Tabs from 'Components/tabs/tabs';

import aonTheme from 'Themes/aon/theme';
import coverwalletTheme from 'Themes/coverwallet/theme';
import zurichTheme from 'Themes/zurich/theme';
import GlobalStyle from 'Themes/aon/theme';

const themes = {
  aon: aonTheme,
  coverwallet: coverwalletTheme,
  zurich: zurichTheme,
};

export {
  Button,
  MicroButton,
  CardTable,
  Input,
  Link,
  Notification,
  GlobalStyle,
  Selector,
  Sidebar,
  Status,
  Tabs,
  ThemeProvider,
  themes,
};
