export default {
  name: 'Global',
  text: {
    xs: '10px',
    s: '12px',
    m: '14px',
    l: '16px',
    xl: '18px',
    xxl: '24px',
    xxxl: '28px',
  },
};

export const colors = {
  notifications: {
    success: '#50C647',
    warning: '#F3A309',
    error: '#FF4250',
    info: '#438BD7',
  },
  grays: {
    white: '#FFFFFF',
    gray: '#9fa5bb',
  },
  link: '#438bd7',
};

export const sizes = {
  mobile: '0px',
  tablet: '767px',
  landscape: '1024px',
  desktop: '1200px',
};
