import React from 'react';
import ShareIcon from '../../../icons/Share.svg';
import SearchIcon from '../../../icons/Search.svg';
import BusinessInfo from '../../../icons/Business_Info.svg';
import Quotes from '../../../icons/Quotes.svg';
import ThirdPartyInsurance from '../../../icons/Third_party_insurance.svg';
import Chat from '../../../icons/Chat.svg';
import Email from '../../../icons/Email.svg';
import Phone from '../../../icons/Phone.svg';

const icons = {
  share: ShareIcon,
  search: SearchIcon,
  'business-info': BusinessInfo,
  quotes: Quotes,
  'third-party-insurance': ThirdPartyInsurance,
  chat: Chat,
  email: Email,
  phone: Phone,
};

export default Object.keys(icons);

export const getSVG = iconName => icons[iconName] || <></>;
