import globalTheme, { colors, sizes } from 'Themes/global-theme';

const ZurichTheme = {
  name: 'Zurich',
  colors: {
    ...colors,
    brand: {
      primary: '#000066',
      secondary: '#438bd7',
      dark: '#454855',
    },
  },
  sizes: {
    ...sizes,
  },
};

export default { ...globalTheme, ...ZurichTheme };
